using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
          int ukupno = int.Parse(Console.ReadLine());  
            int n = int.Parse(Console.ReadLine());       
            int s1p = 0, s1z = 0, s2p = 0, s2z = 0, s3p = 0, s3z = 0;
            
            
            if (ukupno < n * 3) 
            {
                Console.Write("-1");

            }
            else if (ukupno%2!=0 && n == 2)
            {
                Console.Write("-1"); 
            }




            else
            {
                s1p = n;
                s2p = n;
                s3p = n;


                ukupno = ukupno - 3 * n;

                if (ukupno + 2 <= n) 
                {
                    s1z = ukupno;
                }
                else
                {
                    s1z = n - 2;
                    ukupno = ukupno - n + 2;


                    while (ukupno != 0 && ukupno != 1)
                    {
                        s1z++;
                        s1p++;
                        ukupno = ukupno - 2;
                    }

                    if (ukupno == 1)
                    {
                        s2z++;
                    }

                }

                Console.WriteLine("{0} {1}", s1p, s1z);
                Console.WriteLine("{0} {1}", s2p, s2z);
                Console.WriteLine("{0} {1}", s3p, s3z);

            }

            
            
            
        }
    }
}